petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscDSViewFromOptions

View from Options

### Synopsis

    #include "petscds.h"
    PetscErrorCode  PetscDSViewFromOptions(PetscDS A,PetscObject obj,const char name[])

Collective on PetscDS

### Input Parameters

| A | - the PetscDS object
| obj | - Optional object
| name | - command line option

### See Also

PetscDS, PetscDSView, PetscObjectViewFromOptions(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages